Bug 841337 - SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'search' accesses on the directory dev.
SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'search' a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:9ddd2ee2feaa51bcb6c89a59314...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 13:54 EDT by Vasil Draganov
Modified: 2012-08-01 14:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 14:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasil Draganov 2012-07-18 13:54:25 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-5.fc17.x86_64
time:           18.07.2012 (ср) 20,54,13 EEST

description:
:SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'search' accesses on the directory dev.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that plugin-container should be allowed search access on the dev directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep pool /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:sysctl_dev_t:s0
:Target Objects                dev [ dir ]
:Source                        pool
:Source Path                   /usr/lib64/xulrunner-2/plugin-container
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           xulrunner-13.0.1-1.fc17.x86_64
:Target RPM Packages           filesystem-3-2.fc17.x86_64
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.4-5.fc17.x86_64 #1 SMP Thu Jul 5
:                              20:20:59 UTC 2012 x86_64 x86_64
:Alert Count                   3
:First Seen                    18.07.2012 (ср) 18,39,57 EEST
:Last Seen                     18.07.2012 (ср) 18,40,56 EEST
:Local ID                      d83da1f4-1714-4724-9058-d655519b04cb
:
:Raw Audit Messages
:type=AVC msg=audit(1342626056.548:164): avc:  denied  { search } for  pid=7396 comm="pool" name="dev" dev="proc" ino=25918 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysctl_dev_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1342626056.548:164): arch=x86_64 syscall=open success=no exit=EACCES a0=7f52ac49d6c0 a1=40000 a2=7f52ae63b6a0 a3=0 items=0 ppid=7161 pid=7396 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=pool exe=/usr/lib64/xulrunner-2/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: pool,mozilla_plugin_t,sysctl_dev_t,dir,search
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-19 17:27:18 EDT
Does everything work correctly? Do you know which plugin causes this?
Comment 2 Vasil Draganov 2012-07-20 06:41:34 EDT
Yes, everithing works fine. I didn't noticed any malfunctions.This bug happend only once so far.
I have no idea wich plugin is causes this. Here is some data about browsr version and plugins in use:
Mozilla Firefox 13.0.1 
Plugins - DivX Web Player v. 1.4.0.233; Gnome Shell Inegration; IcedTea-Web 1.2 Plugin; iTunes Application Detector; QuickTime Plugin-in 7.6.6; Shockwave Flash 11.2 r202; VLC Multimedia Plugin; Windows Media Player Plug-in 10.

I hope this info is helpfull.
Comment 3 Daniel Walsh 2012-07-20 17:21:46 EDT
Does not seem like something that we should care about blocking.
Comment 4 Vasil Draganov 2012-07-21 04:36:29 EDT
No, it doesn't.
Comment 5 Daniel Walsh 2012-07-23 10:40:52 EDT
Added a rule to allow mozilla_plugins to read all kernel sysctls in Rawhide
Comment 6 Miroslav Grepl 2012-07-24 04:03:50 EDT
Added to F17.
Comment 7 Fedora Update System 2012-07-27 11:33:48 EDT
selinux-policy-3.10.0-142.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-142.fc17
Comment 8 Fedora Update System 2012-07-27 21:23:35 EDT
Package selinux-policy-3.10.0-142.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-142.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11215/selinux-policy-3.10.0-142.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-08-01 14:20:58 EDT
selinux-policy-3.10.0-142.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.